[frogdata] 01/01: Added postinst/preinst/postrm scripts to remove old data files in /etc/frog

Maarten van Gompel proycon-guest at moszumanska.debian.org
Mon Jan 23 16:33:44 UTC 2017


This is an automated email from the git hooks/post-receive script.

proycon-guest pushed a commit to branch master
in repository frogdata.

commit cd425f43f3ab52616e27c8269659a01331c25bf5
Author: proycon <proycon at anaproy.nl>
Date:   Mon Jan 23 17:33:35 2017 +0100

    Added postinst/preinst/postrm scripts to remove old data files in /etc/frog
---
 debian/changelog         |  2 ++
 debian/frogdata.postinst | 54 ++++++++++++++++++++++++++++++++++++++++++++++++
 debian/frogdata.postrm   | 54 ++++++++++++++++++++++++++++++++++++++++++++++++
 debian/frogdata.preinst  | 54 ++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 164 insertions(+)

diff --git a/debian/changelog b/debian/changelog
index 71063c4..aa67588 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -3,6 +3,8 @@ frogdata (0.13-1) unstable; urgency=medium
   * New upstream release
   * Moves data files from /etc to /usr/share
     to prevent issues like #838112 in the future
+  * Added postinst/preinst/postrm scripts to remove
+    old data files in /etc/frog
 
  -- Maarten van Gompel <proycon at anaproy.nl>  Mon, 23 Jan 2017 16:08:00 +0100
 
diff --git a/debian/frogdata.postinst b/debian/frogdata.postinst
new file mode 100755
index 0000000..3b47fdc
--- /dev/null
+++ b/debian/frogdata.postinst
@@ -0,0 +1,54 @@
+#!/bin/sh
+
+set -e
+
+#Data files moved to /usr/share instead of /etc, remove old:
+for subdir in "" "nld" "nl"; do #deal with three possible variants that have existed at some point
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbdp.1.0.dir.ibase -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbdp.1.0.dir.ibase.wgt -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbdp.1.0.pairs.sampled.ibase -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbdp.1.0.pairs.sampled.ibase.wgt -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbdp.1.0.rels.ibase -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbdp.1.0.rels.ibase.wgt -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbt.1.0.1paxes -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbt.1.0.known.dddwfWaw -- "$@"a
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbt.1.0.known.dddwfWawa.wgt -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbt.1.0.lex -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbt.1.0.lex.ambi.05 -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbt.1.0.settings -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbt.1.0.top500 -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbt.1.0.unknown.chnppdddwFawasss -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mwu.1.0 -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/cgn_token.trans -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/cgntags.main -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/cgntags.sub -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/chunker.train.10paxes -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/chunker.train.known.dddwfWawa -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/chunker.train.known.dddwfWawa.wgt -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/chunker.train.lex -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/chunker.train.lex.ambi.05 -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/chunker.train.settings -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/chunker.train.top1000 -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/chunker.train.unknown.chnppddwFawsss -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/frog.cfg -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/frog.filter -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/mblem.transtable -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/mblem.tree -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/mblem.tree.wgt -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/mbma.igtree -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/mbma.igtree.wgt -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/ner.data.10paxes -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/ner.data.known.ddwdwfWawawaa -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/ner.data.known.ddwdwfWawawaa.wgt -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/ner.data.lex -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/ner.data.lex.ambi.05 -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/ner.data.settings -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/ner.data.top1000 -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/ner.data.unknown.chnppddwdwFawawaasss -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/ner.known -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/striptokens.txt -- "$@"
+do
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/frogdata.postrm b/debian/frogdata.postrm
new file mode 100755
index 0000000..3b47fdc
--- /dev/null
+++ b/debian/frogdata.postrm
@@ -0,0 +1,54 @@
+#!/bin/sh
+
+set -e
+
+#Data files moved to /usr/share instead of /etc, remove old:
+for subdir in "" "nld" "nl"; do #deal with three possible variants that have existed at some point
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbdp.1.0.dir.ibase -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbdp.1.0.dir.ibase.wgt -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbdp.1.0.pairs.sampled.ibase -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbdp.1.0.pairs.sampled.ibase.wgt -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbdp.1.0.rels.ibase -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbdp.1.0.rels.ibase.wgt -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbt.1.0.1paxes -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbt.1.0.known.dddwfWaw -- "$@"a
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbt.1.0.known.dddwfWawa.wgt -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbt.1.0.lex -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbt.1.0.lex.ambi.05 -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbt.1.0.settings -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbt.1.0.top500 -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbt.1.0.unknown.chnppdddwFawasss -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mwu.1.0 -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/cgn_token.trans -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/cgntags.main -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/cgntags.sub -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/chunker.train.10paxes -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/chunker.train.known.dddwfWawa -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/chunker.train.known.dddwfWawa.wgt -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/chunker.train.lex -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/chunker.train.lex.ambi.05 -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/chunker.train.settings -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/chunker.train.top1000 -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/chunker.train.unknown.chnppddwFawsss -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/frog.cfg -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/frog.filter -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/mblem.transtable -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/mblem.tree -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/mblem.tree.wgt -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/mbma.igtree -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/mbma.igtree.wgt -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/ner.data.10paxes -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/ner.data.known.ddwdwfWawawaa -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/ner.data.known.ddwdwfWawawaa.wgt -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/ner.data.lex -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/ner.data.lex.ambi.05 -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/ner.data.settings -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/ner.data.top1000 -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/ner.data.unknown.chnppddwdwFawawaasss -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/ner.known -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/striptokens.txt -- "$@"
+do
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/frogdata.preinst b/debian/frogdata.preinst
new file mode 100755
index 0000000..3b47fdc
--- /dev/null
+++ b/debian/frogdata.preinst
@@ -0,0 +1,54 @@
+#!/bin/sh
+
+set -e
+
+#Data files moved to /usr/share instead of /etc, remove old:
+for subdir in "" "nld" "nl"; do #deal with three possible variants that have existed at some point
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbdp.1.0.dir.ibase -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbdp.1.0.dir.ibase.wgt -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbdp.1.0.pairs.sampled.ibase -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbdp.1.0.pairs.sampled.ibase.wgt -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbdp.1.0.rels.ibase -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbdp.1.0.rels.ibase.wgt -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbt.1.0.1paxes -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbt.1.0.known.dddwfWaw -- "$@"a
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbt.1.0.known.dddwfWawa.wgt -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbt.1.0.lex -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbt.1.0.lex.ambi.05 -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbt.1.0.settings -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbt.1.0.top500 -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mbt.1.0.unknown.chnppdddwFawasss -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/Frog.mwu.1.0 -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/cgn_token.trans -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/cgntags.main -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/cgntags.sub -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/chunker.train.10paxes -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/chunker.train.known.dddwfWawa -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/chunker.train.known.dddwfWawa.wgt -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/chunker.train.lex -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/chunker.train.lex.ambi.05 -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/chunker.train.settings -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/chunker.train.top1000 -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/chunker.train.unknown.chnppddwFawsss -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/frog.cfg -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/frog.filter -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/mblem.transtable -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/mblem.tree -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/mblem.tree.wgt -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/mbma.igtree -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/mbma.igtree.wgt -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/ner.data.10paxes -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/ner.data.known.ddwdwfWawawaa -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/ner.data.known.ddwdwfWawawaa.wgt -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/ner.data.lex -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/ner.data.lex.ambi.05 -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/ner.data.settings -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/ner.data.top1000 -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/ner.data.unknown.chnppddwdwFawawaasss -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/ner.known -- "$@"
+    dpkg-maintscript-helper rm_conffile /etc/frog/$subdir/striptokens.txt -- "$@"
+do
+
+#DEBHELPER#
+
+exit 0

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-science/packages/frogdata.git



More information about the debian-science-commits mailing list